# Class MetalIconFactory.TreeLeafIcon

java.lang.Object
javax.swing.plaf.metal.MetalIconFactory.FileIcon16
javax.swing.plaf.metal.MetalIconFactory.TreeLeafIcon

All Implemented Interfaces:
  `Serializable, Icon`

Enclosing class:
  `MetalIconFactory`

public static class MetalIconFactory.TreeLeafIcon extends MetalIconFactory.FileIcon16
The class represents a tree leaf icon.

## Constructor Summary

Constructors
Constructor
Description
`TreeLeafIcon()`
Constructs a `TreeLeafIcon`.

## Method Summary

### Methods declared in class MetalIconFactory.FileIcon16

`getAdditionalHeight, getIconHeight, getIconWidth, getShift, paintIcon`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeLeafIcon

public TreeLeafIcon()
Constructs a `TreeLeafIcon`.